/*{ Template_FreeRTOS::.h ************************************************
 
  Example code for FreeRTOS + LCD display on Olimex prototype board STM32-LCD.
  written by Gregor Rebel 2011
 
}*/
#ifndef EXTENSION_500_ttc_gfx
#error EXTENSION_500_ttc_gfx must be defined!
#endif

//{ Includes *************************************************************

#include "../common/ttc_basic.h"
#include "../common/ttc_task.h"
#include "../common/ttc_string.h"
#include "../common/ttc_gfx.h"
#include "../common/ttc_input.h"
#include "../common/ttc_gui.h"
//} Includes
//{ Defines/ TypeDefs ****************************************************

#ifndef EXTENSION_500_ttc_gfx
  #error Missing EXTENSION_500_ttc_gfx !
#endif

//} Defines
//{ Structures/ Enums ****************************************************


//} Structures/ Enums
//{ Global Variables *****************************************************



//} Global Variables
//{ Function prototypes **************************************************

// basic hardware intialization
void example_gui_start();
//start of the task input
void example_gui_init();
//acting routine of the example input
void task_gui(void *pvParameters);
//function which is called when the defined area is touched
void button_event_clear(void *pvParameters);
//} Function prototypes
void button_event_mint(void *pvParameters);
