#ifndef TTC_GUI
#define TTC_GUI
/*{ ttc_input.h ************************************************
}*/


//{ Includes *************************************************************
#include "ttc_basic.h"
#include "ttc_memory.h"
#include "ttc_input_types.h"
#include "ttc_input.h"
#include "ttc_gfx.h"

//} Includes
//{ Defines/ TypeDefs ****************************************************
#define ADD_DELAY 100
#define SUB_DELAY 100
//} Defines
//{ Structures/ Enums ****************************************************
typedef struct gni_NumberArea_s{
    u16_t* number;
    u16_t X;
    u16_t Y;
    struct gni_NumberArea_s* Next;
} __attribute__((__packed__)) gni_NumberArea_t;

//} Structures/ Enums

//{ Global Variables *****************************************************


//} Global Variables

//{ Function prototypes **************************************************

void ttc_gui_create_push_button(void (*TouchHandler)(void* Argument), void* Argument, u16_t Left, u16_t Top, u16_t Right, u16_t Bottom, const char* Text);

void ttc_gui_clear();

void ttc_gui_plus_button(u16_t Left, u16_t Top, u16_t Right, u16_t Bottom,u16_t* value);

void ttc_gui_minus_button(u16_t Left, u16_t Top, u16_t Right, u16_t Bottom,u16_t* value);

void ttc_gui_create_number_field(u16_t X,u16_t Y,u16_t* number);

void ttc_gui_number_refresh();

void ttc_gui_delete_all_number_areas();

void ttc_gui_number_task();

void ttc_gui_start_number();

void _ttc_add_one(void* wert);

void _ttc_sub_one(void* wert);


#endif
