#!/bin/bash
#
# The ToolChain v1.0.52
#
# Update script for changes introduced in v1.0.52 of The ToolChain.
#
# This script shall help you in porting your project to compile with a newer release of The ToolChain.
# Updatescripts must be run in order starting at first version released after your current project.
# In addtion to run this script, you should compile and check your project for every version update.
#
ttc_manage.pl replace "500_ttc_font" "510_ttc_font"
ttc_manage.pl replace "./_/" "_/"
ttc_manage.pl replace "ttc_SemaphoreHandle" "ttc_semaphore_t*"
ttc_manage.pl replace "ttc_template.c" "ttc_DRIVER.c"
ttc_manage.pl replace "ttc_template.h" "ttc_DRIVER.h"
ttc_manage.pl replace "ttc_template_types.h" "ttc_DRIVER_types.h"
ttc_manage.pl replace "ttc_DRIVER.c" "ttc_template.c"
ttc_manage.pl replace "ttc_DRIVER.h" "ttc_template.h"
ttc_manage.pl replace "ttc_DRIVER_types.h" "ttc_template_types.h"
ttc_manage.pl replace "ttc_template.c" "ttc_driver.c"
ttc_manage.pl replace "ttc_template.h" "ttc_driver.h"
ttc_manage.pl replace "ttc_template_types.h" "ttc_driver_types.h"
ttc_manage.pl replace "ttc_memory_init_heap" "aaa_ttc_memory_init_heap"
